<?php
return array(
	'base' => 'gsf_banner',
	'name' => esc_html__( 'Banner', 'achilles-framework' ),
	'icon' => 'fa fa-image',
	'category' => G5P()->shortcode()->get_category_name(),
	'params' => array(
		G5P()->shortcode()->vc_map_add_title(array('admin_label' => true)),
		array(
			'param_name'        => 'hover_effect',
			'heading'     => esc_html__('Hover Effect', 'achilles-framework'),
			'type'      => 'dropdown',
			'std'      => '',
			'value' => array(
				esc_html__('None', 'achilles-framework') => '',
				esc_html__('Suprema', 'achilles-framework') => 'suprema-effect',
				esc_html__('Layla', 'achilles-framework') => 'layla-effect',
				esc_html__('Bubba', 'achilles-framework') => 'bubba-effect',
				esc_html__('Jazz', 'achilles-framework') => 'jazz-effect'
			)
		),
		array(
			'type' => 'attach_image',
			'heading' => esc_html__('Background Image', 'achilles-framework'),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
			'param_name' => 'image'
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__( 'Link (URL)', 'achilles-framework' ),
			'param_name' => 'link',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Height Mode', 'achilles-framework' ),
			'param_name' => 'height_mode',
			'value' => array(
				'1:1' => '100',
				esc_html__( 'Original', 'achilles-framework' )=> 'original',
				'4:3' => '133.333333333',
				'3:4' => '75',
				'16:9' => '177.777777778',
				'9:16' => '56.25',
				esc_html__( 'Custom', 'achilles-framework' )=> 'custom'
			),
			'std' => 'original',
			'dependency' => array('element' => 'banner_bg_image', 'value_not_equal_to' => array('')),
			'description' => esc_html__( 'Sizing proportions for height and width. Select "Original" to scale image without cropping.', 'achilles-framework' )
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Height', 'achilles-framework' ),
			'param_name' => 'height',
			'std' => '340px',
			'dependency' => array('element' => 'height_mode', 'value' => 'custom'),
			'description' => esc_html__( 'Enter custom height. Not include unit.', 'achilles-framework' )
		),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Background Overlay Color', 'achilles-framework' ),
            'param_name' => 'banner_bg_overlay_color',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'std' => 'rgba(0,0,0,0.79)',
            'dependency' => array('element' => 'hover_effect', 'value_not_equal_to' => array('')),
            'description' => esc_html__( 'Specify an color for the background overlay.', 'achilles-framework' )
        ),
        array(
            'type' => 'gsf_switch',
            'heading' => esc_html__( 'Background Overlay At First', 'achilles-framework' ),
            'param_name' => 'bg_overlay_first',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'std' => 'on',
            'dependency' => array('element' => 'banner_bg_overlay_color', 'value_not_equal_to' => array(''))
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Text Color', 'achilles-framework' ),
            'param_name' => 'title_color',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'std' => '#fff'
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__( 'Title Bottom Line Color', 'achilles-framework' ),
            'param_name' => 'title_bottom_line_color',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'std' => '#f9c100'
        ),
		G5P()->shortcode()->vc_map_add_css_animation(),
		G5P()->shortcode()->vc_map_add_animation_duration(),
		G5P()->shortcode()->vc_map_add_animation_delay(),
		G5P()->shortcode()->vc_map_add_extra_class(),
		G5P()->shortcode()->vc_map_add_css_editor(),
		G5P()->shortcode()->vc_map_add_responsive()
	),
);