<?php
/**
 * The template for displaying config.php
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 */
return array(
	'base' => 'gsf_button',
	'name' => esc_html__('Button', 'achilles-framework'),
	'category' => G5P()->shortcode()->get_category_name(),
	'description' => esc_html__('Eye catching button', 'achilles-framework'),
	'icon'        => 'fa fa-bold',
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Text', 'achilles-framework'),
			'param_name' => 'title',
			'value' => esc_html__('Text on the button', 'achilles-framework'),
			'admin_label' => true,
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__('URL (Link)', 'achilles-framework'),
			'param_name' => 'link',
			'description' => esc_html__('Add link to button.', 'achilles-framework'),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Style', 'achilles-framework'),
			'description' => esc_html__('Select button display style.', 'achilles-framework'),
			'param_name' => 'style',
			'value' => array(
				esc_html__('Classic', 'achilles-framework') => 'classic',
				esc_html__('Outline', 'achilles-framework') => 'outline',
				esc_html__('3d', 'achilles-framework') => '3d',
			),
			'std' => 'classic',
			'admin_label' => true,
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Shape', 'achilles-framework'),
			'description' => esc_html__('Select button shape.', 'achilles-framework'),
			'param_name' => 'shape',
			'value' => array(
				esc_html__('Rounded', 'achilles-framework') => 'rounded',
				esc_html__('Square', 'achilles-framework') => 'square',
				esc_html__('Round', 'achilles-framework') => 'round',
			),
			'std' => 'square',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Color', 'achilles-framework'),
			'param_name' => 'color',
			'description' => esc_html__('Select button color.', 'achilles-framework'),
			'value' => array(
				esc_html__('Accent', 'achilles-framework') => 'accent',
				esc_html__('Gray', 'achilles-framework') => 'gray',
				esc_html__('Black', 'achilles-framework') => 'black',
				esc_html__('White', 'achilles-framework') => 'white',
				esc_html__('Red', 'achilles-framework') => 'red',
			),
			'std' => 'accent',
			'admin_label' => true,
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Size', 'achilles-framework'),
			'param_name' => 'size',
			'description' => esc_html__('Select button display size.', 'achilles-framework'),
			'std' => 'xs',
			'value' => array(
				esc_html__('Mini', 'achilles-framework') => 'xs', // height 30px - default
				esc_html__('Small', 'achilles-framework') => 'sm', // height 36px
				esc_html__('Normal', 'achilles-framework') => 'md', // height 42px
				esc_html__('Large', 'achilles-framework') => 'lg', // height 48px
				esc_html__('Extra Large', 'achilles-framework') => 'xl', // height 54px
				esc_html__('Extra Extra Large', 'achilles-framework') => 'xxl', // height 60px
			),
			'admin_label' => true,
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Alignment', 'achilles-framework'),
			'param_name' => 'align',
			'description' => esc_html__('Select button alignment.', 'achilles-framework'),
			'value' => array(
				esc_html__('Inline', 'achilles-framework') => 'inline',
				esc_html__('Left', 'achilles-framework') => 'left',
				esc_html__('Right', 'achilles-framework') => 'right',
				esc_html__('Center', 'achilles-framework') => 'center',
			),
			'std' => 'inline',
			'admin_label' => true,
		),
		array(
			'type' => 'gsf_switch',
			'heading' => esc_html__('Set full width button?', 'achilles-framework'),
			'param_name' => 'button_block',
			'std' => '',
			'dependency' => array(
				'element' => 'align',
				'value_not_equal_to' => 'inline',
			),
			'admin_label' => true,
		),

        G5P()->shortcode()->vc_map_add_icon_font(),
		array(
			'type' => 'gsf_button_set',
			'heading' => esc_html__('Icon Alignment', 'achilles-framework'),
			'description' => esc_html__('Select icon alignment.', 'achilles-framework'),
			'param_name' => 'icon_align',
			'value' => array(
				esc_html__('Left', 'achilles-framework') => 'left',
				esc_html__('Right', 'achilles-framework') => 'right',
			),
			'dependency' => array(
				'element' => 'icon_font',
				'value_not_equal_to' => array(''),
			),
		),
		array(
			'type' => 'gsf_switch',
			'heading' => esc_html__('Advanced on click action', 'achilles-framework'),
			'param_name' => 'custom_onclick',
			'std' => '',
			'description' => esc_html__('Insert inline onclick javascript action.', 'achilles-framework'),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('On click code', 'achilles-framework'),
			'param_name' => 'custom_onclick_code',
			'description' => esc_html__('Enter onclick action code.', 'achilles-framework'),
			'dependency' => array(
				'element' => 'custom_onclick',
				'value' => 'on',
			),
		),
		G5P()->shortcode()->vc_map_add_css_animation(),
		G5P()->shortcode()->vc_map_add_animation_duration(),
		G5P()->shortcode()->vc_map_add_animation_delay(),
		G5P()->shortcode()->vc_map_add_extra_class(),
		G5P()->shortcode()->vc_map_add_css_editor(),
		G5P()->shortcode()->vc_map_add_responsive()
	)
);