<?php
return array(
	'base' => 'gsf_gallery',
	'name' => esc_html__( 'Gallery', 'achilles-framework' ),
	'icon' => 'fa fa-th',
	'category' => G5P()->shortcode()->get_category_name(),
	'params' => array(
		array(
			'type' => 'attach_images',
			'heading' => esc_html__('Images', 'achilles-framework'),
			'param_name' => 'images'
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__( 'Height Mode', 'achilles-framework' ),
			'param_name' => 'height_mode',
			'value' => array(
				'1:1' => '100',
				esc_html__( 'Original', 'achilles-framework' )=> 'original',
				'4:3' => '133.333333333',
				'3:4' => '75',
				'16:9' => '177.777777778',
				'9:16' => '56.25',
				esc_html__( 'Custom', 'achilles-framework' )=> 'custom'
			),
			'std' => '100',
			'dependency' => array('element' => 'images', 'value_not_equal_to' => array('')),
			'description' => esc_html__( 'Sizing proportions for height and width. Select "Original" to scale image without cropping.', 'achilles-framework' )
		),

		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Height', 'achilles-framework' ),
			'param_name' => 'height',
			'std' => '340px',
			'dependency' => array('element' => 'height_mode', 'value' => 'custom'),
			'description' => esc_html__( 'Enter custom height. Not include unit.', 'achilles-framework' )
		),

		array(
			'type'       => 'dropdown',
			'heading'    => esc_html__('Hover effect', 'achilles-framework'),
			'param_name' => 'hover_effect',
			'std' => 'default-effect',
			'value'      => array(
				esc_html__('Default', 'achilles-framework') => 'default-effect',
				esc_html__('Suprema', 'achilles-framework')   => 'suprema-effect',
				esc_html__('Layla', 'achilles-framework')   => 'layla-effect',
				esc_html__('Bubba', 'achilles-framework')   => 'bubba-effect',
				esc_html__('Jazz', 'achilles-framework')    => 'jazz-effect',
			)
		),

		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Columns', 'achilles-framework'),
			'param_name' => 'columns',
			'value' => array('2' => 2, '3' => 3,'4' => 4, '6' => 6),
			'std' => 3,
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Columns Gap', 'achilles-framework'),
			'param_name' => 'columns_gap',
			'value' => array(
				'30px' => 'col-gap-30',
				'20px' => 'col-gap-20',
				'10px' => 'col-gap-10',
				'0px' => 'col-gap-0'
			),
			'std' => 'col-gap-30',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),

        array(
            'type'       => 'gsf_switch',
            'heading'    => esc_html__('Slider Style', 'achilles-framework'),
            'param_name' => 'slider_style',
            'admin_label' => true
        ),
        G5P()->shortcode()->vc_map_add_pagination(
            array(
                'dependency' => array('element' => 'slider_style', 'value' => 'on')
            )
        ),
        G5P()->shortcode()->vc_map_add_navigation(
            array(
                'dependency' => array('element' => 'slider_style', 'value' => 'on')
            )
        ),
		array(
			'type' => 'gsf_switch',
			'heading' => esc_html__('Loop', 'achilles-framework'),
			'param_name' => 'loop',
			'std' => '',
			'edit_field_class' => 'vc_col-sm-6 vc_column',
			'group' => esc_html__('Slider Options', 'achilles-framework'),
			'dependency' => array('element' => 'slider_style', 'value' => 'on')
		),
		G5P()->shortCode()->vc_map_add_autoplay_enable(array(
			'dependency' => array('element' => 'slider_style', 'value' => 'on'),
			'group' => esc_html__('Slider Options', 'achilles-framework'),
		)),
		G5P()->shortCode()->vc_map_add_autoplay_timeout(array(
			'dependency' => array('element' => 'slider_style', 'value' => 'on'),
			'group' => esc_html__('Slider Options', 'achilles-framework'),
		)),
		G5P()->shortcode()->vc_map_add_css_animation(),
		G5P()->shortcode()->vc_map_add_animation_duration(),
		G5P()->shortcode()->vc_map_add_animation_delay(),
		G5P()->shortcode()->vc_map_add_extra_class(),
		G5P()->shortcode()->vc_map_add_css_editor(),
		G5P()->shortcode()->vc_map_add_responsive()
	),
);