<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $slider_style
 * @var $dots
 * @var $nav
 * @var $hover_effect
 * @var $images
 * @var $columns
 * @var $columns_gap
 * @var $height_mode
 * @var $height
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * @var $responsive
 * Shortcode class
 * @var $this WPBakeryShortCode_GSF_Gallery
 */

$slider_style = $dots = $nav = $loop = $autoplay = $autoplay_timeout = $hover_effect = $images = $columns = $columns_gap =
$height_mode = $height = $css_animation = $animation_duration = $animation_delay = $el_class = $css = $responsive = '';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

if (empty($images)) return;

$wrapper_classes = array(
	'gf-gallery',
	'clearfix',
	'text-center',
	$columns_gap,
	G5P()->core()->vc()->customize()->getExtraClass($el_class),
	$this->getCSSAnimation($css_animation),
	vc_shortcode_custom_css_class($css),
	$responsive
);

if ('' !== $css_animation && 'none' !== $css_animation) {
	$animation_class = G5P()->core()->vc()->customize()->get_animation_class($animation_duration, $animation_delay);
	$wrapper_classes[] = $animation_class;
}

$gallery_item_class = array('gf-gallery-item');

$owl_attributes = array();
$owl_class = array();
if ($slider_style == 'on') {
	if ($columns_gap == 'col-gap-30') {
		$col_gap = 30;
	} elseif ($columns_gap == 'col-gap-20') {
		$col_gap = 20;
	} elseif ($columns_gap == 'col-gap-10') {
		$col_gap = 10;
	} else {
		$col_gap = 0;
	}
	$owl_class[] = 'owl-carousel owl-theme';
	if ($nav) {
		$owl_class[] = 'nav-center';
	}
	$owl_attributes = array(
		'autoHeight'      => true,
		'dots'            => $dots ? true : false,
		'nav'             => $nav ? true : false,
		'autoplay'        => ($autoplay === 'on') ? true : false,
		'autoplayTimeout' => intval($autoplay_timeout),
		'loop'            => ('on' === $loop) ? true : false,
		'responsive'      => array(
			"0"    => array(
				"items"  => 1,
				"margin" => 0
			),
			"768"  => array(
				"items"  => ($columns == 2) ? '2' : '3',
				"margin" => $col_gap
			),
			"1200" => array(
				'items'  => $columns,
				'margin' => $col_gap
			)
		)
	);
} else {
	$wrapper_classes[] = 'row';
	$gallery_item_class[] = 'col-md-' . intval(12 / $columns);
	$gallery_item_class[] = 'col-sm-' . (($columns == 2) ? '6' : '4');
	$gallery_item_class[] = 'col-xs-12';
	if ($columns_gap == 'col-gap-30') {
		$gallery_item_class[] = 'mg-bottom-30';
	} elseif ($columns_gap == 'col-gap-20') {
		$gallery_item_class[] = 'mg-bottom-20';
	} elseif ($columns_gap == 'col-gap-10') {
		$gallery_item_class[] = 'mg-bottom-10';
	}
}

$class_to_filter = implode(' ', array_filter($wrapper_classes));
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
if (!(defined('CSS_DEBUG') && CSS_DEBUG)) {
	wp_enqueue_style(G5P()->assetsHandle('g5-gallery'), G5P()->helper()->getAssetUrl('shortcodes/gallery/assets/css/gallery.min.css'), array(), G5P()->pluginVer());
}
$gallery_id = rand();
$args = array('galleryId' => $gallery_id);
?>
<div class="<?php echo esc_attr($css_class); ?>">
	<?php if ($slider_style == 'on'): ?>
	<div class="<?php echo implode(' ', $owl_class) ?>" data-owl-options='<?php echo json_encode($owl_attributes); ?>'>
		<?php endif; ?>
		<?php
		if ($height_mode != 'custom') {
			foreach (explode(',', $images) as $image) {
				
				$image_src = '';
				$image_arr = wp_get_attachment_image_src($image, 'full');
				if (sizeof($image_arr) > 0 && !empty($image_arr[0])) {
					$image_src = $image_arr[0];
				}
				$img_width = isset($image_arr[1]) ? intval($image_arr[1]) : 0;
				$img_height = isset($image_arr[2]) ? intval($image_arr[2]) : 0;
				$percen = $height_mode;
				if ($height_mode === 'original') {
					$percen = ($img_height / $img_width) * 100;
				}
				?>
				<div class="<?php echo join(' ', $gallery_item_class); ?>">
					<div class="gf-gallery-inner <?php echo esc_attr($hover_effect) ?>">
						<a data-magnific="true" data-gallery-id="<?php echo esc_attr($gallery_id); ?>"
						   data-magnific-options='<?php echo json_encode($args) ?>'
						   href="<?php echo esc_url($image_src) ?>"
						   class="gallery-zoom no-animation"><i class="fa fa-search"></i></a>
						<div class="effect-content">
							<div class="gallery-item-image"
								 style="background-image: url('<?php echo esc_url($image_src); ?>'); padding-bottom: <?php echo esc_attr($percen); ?>%;"></div>
						</div>
					</div>
				</div>
				<?php
			}
		} else {
			foreach (explode(',', $images) as $image) {
				$image_src = '';
				$image_arr = wp_get_attachment_image_src($image, 'full');
				if (sizeof($image_arr) > 0 && !empty($image_arr[0])) {
					$image_src = $image_arr[0];
				}
				$img_width = isset($image_arr[1]) ? intval($image_arr[1]) : 0;
				$img_height = isset($image_arr[2]) ? intval($image_arr[2]) : 0;
				if ($height_mode === 'original') {
					$height_mode = ($img_width / $img_height) * 100;
				}
				?>
				<div class="<?php echo join(' ', $gallery_item_class); ?>">
					<div class="gf-gallery-inner <?php echo esc_attr($hover_effect) ?>">
						<a data-magnific="true" data-gallery-id="<?php echo esc_attr($gallery_id); ?>"
						   data-magnific-options='<?php echo json_encode($args) ?>'
						   href="<?php echo esc_url($image_src) ?>"
						   class="gallery-zoom"><i class="fa fa-search"></i></a>
						<div class="effect-content">
							<div class="gallery-item-image"
								 style="background-image: url('<?php echo esc_url($image_src); ?>'); height: <?php echo esc_attr($height); ?>;"></div>
						</div>
					</div>
				</div>
				<?php
			}
		}
		if ($slider_style == 'on'): ?>
	</div>
<?php endif; ?>
</div>