<?php
return array(
	'base' => 'gsf_heading',
	'name' => esc_html__( 'Heading', 'achilles-framework' ),
	'icon' => 'fa fa-header',
	'category' => G5P()->shortcode()->get_category_name(),
	'params' => array(
		
		array(
			'param_name' => 'heading_layout',
			'heading' => esc_html__( 'Heading Layout', 'achilles-framework' ),
			'type' => 'gsf_image_set',
			'value' => array(
				'style-1'  => array(
					'label' => esc_html__('Heading Style 1', 'achilles-framework'),
					'img'   => G5P()->pluginUrl('assets/images/theme-options/heading-style-1.jpg'),
				),
				'style-2'  => array(
					'label' => esc_html__('Heading Style 2', 'achilles-framework'),
					'img'   => G5P()->pluginUrl('assets/images/theme-options/heading-style-2.jpg'),
				),
				'style-3'  => array(
					'label' => esc_html__('Heading Style 3', 'achilles-framework'),
					'img'   => G5P()->pluginUrl('assets/images/theme-options/heading-style-3.jpg'),
				),
				'style-4'  => array(
					'label' => esc_html__('Heading Style 4', 'achilles-framework'),
					'img'   => G5P()->pluginUrl('assets/images/theme-options/heading-style-4.jpg'),
				),
			),
			'std' => 'style-1',
			'admin_label' => true
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Sub Title', 'achilles-framework' ),
			'param_name' => 'sub_title',
		),
		array(
			'type' => 'textarea_raw_html',
			'holder' => 'div',
			'heading' => __( 'Title', 'achilles-framework' ),
			'param_name' => 'title',
			'value' => base64_encode( '' ),
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Text color', 'achilles-framework'),
			'param_name' => 'text_color',
			'description' => esc_html__('Select heading color.', 'achilles-framework'),
			'value' => array(
				esc_html__('Accent', 'achilles-framework') => 'text-accent',
				esc_html__('Black', 'achilles-framework') => 'text-black',
				esc_html__('White', 'achilles-framework') => 'text-white'
			),
			'std' => 'text-accent',
			'edit_field_class' => 'vc_col-sm-4 vc_column',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Text Size', 'achilles-framework'),
			'param_name' => 'text_size',
			'description' => esc_html__('Select text size.', 'achilles-framework'),
			'value' => array(
				esc_html__('Small', 'achilles-framework') => 'text-small',
				esc_html__('Normal', 'achilles-framework') => 'text-normal',
				esc_html__('Large', 'achilles-framework') => 'text-large'
			),
			'std' => 'text-small',
			'edit_field_class' => 'vc_col-sm-4 vc_column',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Text Alignment', 'achilles-framework'),
			'param_name' => 'text_align',
			'description' => esc_html__('Select text alignment.', 'achilles-framework'),
			'value' => array(
				esc_html__('Left', 'achilles-framework') => 'text-left',
				esc_html__('Center', 'achilles-framework') => 'text-center',
				esc_html__('Right', 'achilles-framework') => 'text-right'
			),
			'std' => 'text-left',
			'edit_field_class' => 'vc_col-sm-4 vc_column',
		),
		G5P()->shortcode()->vc_map_add_css_animation(),
		G5P()->shortcode()->vc_map_add_animation_duration(),
		G5P()->shortcode()->vc_map_add_animation_delay(),
		G5P()->shortcode()->vc_map_add_extra_class(),
		G5P()->shortcode()->vc_map_add_css_editor(),
		G5P()->shortcode()->vc_map_add_responsive()
	),
);