<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $heading_layout
 * @var $sub_title
 * @var $title
 * @var $text_align
 * @var $text_size
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * @var $responsive
 * Shortcode class
 * @var $this WPBakeryShortCode_GSF_Heading
 */

$heading_layout = $sub_title = $title = $text_color = $text_align = $text_size = $css_animation = $animation_duration =
$animation_delay = $el_class = $css = $responsive = '';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$heading_class = 'gf-heading-'.random_int( 1000, 9999 );

$wrapper_classes = array(
	'gf-heading',
	$heading_layout,
	$text_align,
	$text_color,
	$heading_class,
	G5P()->core()->vc()->customize()->getExtraClass($el_class),
	$this->getCSSAnimation($css_animation),
	vc_shortcode_custom_css_class($css),
	$responsive
);

if ('' !== $css_animation && 'none' !== $css_animation) {
	$animation_class = G5P()->core()->vc()->customize()->get_animation_class($animation_duration, $animation_delay);
	$wrapper_classes[] = $animation_class;
}

$title_size = 'fs-18';
$sub_title_size = 'fs-14';

if ($text_size == 'text-normal') {
	$title_size = 'fs-24';
	$sub_title_size = 'fs-16';
}
if ($text_size == 'text-large') {
	$title_size = 'fs-30';
	$sub_title_size = 'fs-18';
}

$title = rawurldecode( base64_decode( strip_tags( $title ) ) );

if (!(defined('CSS_DEBUG') && CSS_DEBUG)) {
	wp_enqueue_style(G5P()->assetsHandle('g5-heading'), G5P()->helper()->getAssetUrl('shortcodes/heading/assets/css/heading.min.css'), array(), G5P()->pluginVer());
}

$class_to_filter = implode(' ', array_filter($wrapper_classes));
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

?>
<div class="<?php echo esc_attr($css_class) ?>">
	<div class="gf-heading-content">
		<?php if (!empty($sub_title)): ?>
			<span class="sub-title fw-bold <?php echo esc_attr($sub_title_size); ?>"><?php echo wp_kses_post($sub_title); ?></span>
		<?php endif; ?>
		<?php if (!empty($title)): ?>
			<h4 class="title body-font <?php echo esc_attr($title_size); ?>"><span><?php echo wp_kses_post($title); ?></span></h4>
		<?php endif; ?>
	</div>
</div>
