<?php
return array(
	'base'     => 'gsf_new_magazine',
	'name'     => esc_html__('New Magazine', 'achilles-framework'),
	'icon'     => 'fa fa-newspaper-o',
	'category' => G5P()->shortcode()->get_category_name(),
	'params'   => array(
		array(
			'type'             => 'attach_image',
			'heading'          => esc_html__('Image', 'achilles-framework'),
			'edit_field_class' => 'vc_col-sm-6 vc_column',
			'param_name'       => 'image'
		),
		array(
			'type'        => 'gsf_number',
			'heading'     => esc_html__('Image Width', 'achilles-framework'),
			'param_name'  => 'width',
			'std'         => '110',
			'description' => esc_html__('Enter custom width image', 'achilles-framework'),
			'args'        => array(
				'min'  => 1,
				'max'  => 500,
				'step' => 1
			)
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html__('New Magazine Sub Title:', 'achilles-framework'),
			'param_name'  => 'subscribe_sub_title',
			'std'         => '',
			'description' => esc_html__('Sub title on the new magazine', 'achilles-framework')
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html__('New Magazine Title:', 'achilles-framework'),
			'param_name'  => 'subscribe_title',
			'std'         => '',
			'description' => esc_html__('Title on the new magazine', 'achilles-framework')
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html__('Button Text', 'achilles-framework'),
			'param_name' => 'button_text',
			'value'      => esc_html__('Text on the button', 'achilles-framework'),
		),
		array(
			'type'        => 'vc_link',
			'heading'     => esc_html__('URL (Link)', 'achilles-framework'),
			'param_name'  => 'link',
			'description' => esc_html__('Add link to button.', 'achilles-framework'),
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type'             => 'dropdown',
			'heading'          => esc_html__('Layout Style', 'achilles-framework'),
			'description'      => esc_html__('Select new magazine display style.', 'achilles-framework'),
			'param_name'       => 'layout_style',
			'value'            => array(
				esc_html__('Image Left', 'achilles-framework')                   => 'img-left',
				esc_html__('Image Left - Content Middle', 'achilles-framework')  => 'img-left-middle',
				esc_html__('Image Right', 'achilles-framework')                  => 'img-right',
				esc_html__('Image Right - Content Middle', 'achilles-framework') => 'img-right-middle',
			),
			'std'              => 'img-left',
			'admin_label'      => true,
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type'             => 'dropdown',
			'heading'          => esc_html__('Text Size', 'achilles-framework'),
			'description'      => esc_html__('Select size text on new magazine', 'achilles-framework'),
			'param_name'       => 'text_size',
			'value'            => array(
				esc_html__('Small', 'achilles-framework')  => 'text-small',
				esc_html__('Normal', 'achilles-framework') => 'text-normal',
			),
			'std'              => 'text-small',
			'admin_label'      => true,
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type'             => 'dropdown',
			'heading'          => esc_html__('Text Color', 'achilles-framework'),
			'description'      => esc_html__('Select size text on new magazine', 'achilles-framework'),
			'param_name'       => 'text_color',
			'value'            => array(
				esc_html__('Dark', 'achilles-framework')  => 'text-dark',
				esc_html__('Light', 'achilles-framework') => 'text-light',
			),
			'std'              => 'text-dark',
			'admin_label'      => true,
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type'             => 'dropdown',
			'heading'          => esc_html__('Button Style', 'achilles-framework'),
			'description'      => esc_html__('Select button display style.', 'achilles-framework'),
			'param_name'       => 'button_style',
			'value'            => array(
				esc_html__('Classic', 'achilles-framework') => 'classic',
				esc_html__('Outline', 'achilles-framework') => 'outline',
				esc_html__('3d', 'achilles-framework')      => '3d',
				esc_html__('Normal', 'achilles-framework')  => 'normal',
			),
			'std'              => 'classic',
			'admin_label'      => true,
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type'             => 'dropdown',
			'heading'          => esc_html__('Button Size', 'achilles-framework'),
			'param_name'       => 'size',
			'description'      => esc_html__('Select button display size.', 'achilles-framework'),
			'std'              => 'xs',
			'value'            => array(
				esc_html__('Mini', 'achilles-framework')              => 'xs', // height 30px - default
				esc_html__('Small', 'achilles-framework')             => 'sm', // height 36px
				esc_html__('Normal', 'achilles-framework')            => 'md', // height 42px
				esc_html__('Large', 'achilles-framework')             => 'lg', // height 48px
				esc_html__('Extra Large', 'achilles-framework')       => 'xl', // height 54px
				esc_html__('Extra Extra Large', 'achilles-framework') => 'xxl', // height 60px
			),
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		G5P()->shortcode()->vc_map_add_css_animation(),
		G5P()->shortcode()->vc_map_add_animation_duration(),
		G5P()->shortcode()->vc_map_add_animation_delay(),
		G5P()->shortcode()->vc_map_add_extra_class(),
		G5P()->shortcode()->vc_map_add_css_editor(),
		G5P()->shortcode()->vc_map_add_responsive()
	),
);