<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $image
 * @var $width
 * @var $subscribe_sub_title
 * @var $subscribe_title
 * @var $button_text
 * @var $link
 * @var $layout_style
 * @var $text_size
 * @var $text_color
 * @var $button_style
 * @var $size
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * @var $responsive
 * Shortcode class
 * @var $this WPBakeryShortCode_GSF_New_Magazine
 */

$image = $width = $subscribe_sub_title = $subscribe_title = $button_text = $link = $layout_style = $text_size = $text_color = $button_style = $size = $css_animation = $animation_duration = $animation_delay = $el_class = $css = $responsive = '';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$wrapper_classes = array(
	'gf-new-magazine',
	$layout_style,
	$text_size,
	$text_color,
	'clearfix',
	G5P()->core()->vc()->customize()->getExtraClass($el_class),
	$this->getCSSAnimation($css_animation),
	vc_shortcode_custom_css_class($css),
	$responsive
);

$button_class = "btn btn-accent btn-classic btn-square btn-{$size} btn-{$button_style}";
if ($button_style == 'normal') {
	$button_class = 'btn-normal';
}

if ($layout_style === 'img-left-middle') {
	$margin = $width + 20;
	$new_magazine_content = <<<CSS
			.gf-new-magazine.img-left-middle .new-magazine-content {
				margin-left: {$margin}px;
			}
			.rtl .gf-new-magazine.img-left-middle .new-magazine-content {
				margin-right: {$margin}px;
				margin-left: 0;
			}
CSS;
	GSF()->customCss()->addCss($new_magazine_content);
}

if ($layout_style === 'img-right-middle') {
	$margin = $width + 20;
	$new_magazine_content = <<<CSS
			.gf-new-magazine.img-right-middle .new-magazine-content {
				margin-right: {$margin}px;
			}
			.rtl .gf-new-magazine.img-right-middle .new-magazine-content {
				margin-left: {$margin}px;
				margin-right: 0;
			}
CSS;
	GSF()->customCss()->addCss($new_magazine_content);
}

$image_url = '';
$image_attributes = wp_get_attachment_image_src($image, 'full');
$image_title = get_the_title($image);


if (!empty($image_attributes) && is_array($image_attributes)) {
	$image_url = $image_attributes[0];
}

if ('' !== $css_animation && 'none' !== $css_animation) {
	$animation_class = G5P()->core()->vc()->customize()->get_animation_class($animation_duration, $animation_delay);
	$wrapper_classes[] = $animation_class;
}

if (!(defined('CSS_DEBUG') && CSS_DEBUG)) {
	wp_enqueue_style(G5P()->assetsHandle('g5-new-magazine'), G5P()->helper()->getAssetUrl('shortcodes/new-magazine/assets/css/new-magazine.min.css'), array(), G5P()->pluginVer());
}

$class_to_filter = implode(' ', array_filter($wrapper_classes));
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

?>
<div class="<?php echo esc_attr($css_class) ?>">
	<?php if (!empty($image_url)): ?>
		<img style="width: <?php echo esc_attr($width); ?>px" alt="<?php echo esc_attr($image_title); ?>"
			 src="<?php echo esc_url($image_url); ?>"/>
	<?php endif; ?>
	<div class="new-magazine-content">
		<?php if ($subscribe_sub_title) : ?>
			<span class="gf-new-magazine-sub-title accent-color"><?php echo esc_html($subscribe_sub_title); ?></span>
		<?php endif; ?>
		<?php if ($subscribe_title) : ?>
			<h3 class="gf-new-magazine-title"><?php echo esc_html($subscribe_title); ?></h3>
		<?php endif; ?>
		<?php if ($link) : ?>
			<a class="<?php echo esc_attr($button_class); ?>"
			   href="<?php echo esc_url($link); ?>"
			   title="<?php echo esc_html($subscribe_title); ?>"><?php echo esc_html($button_text); ?></a>
		<?php else: ?>
			<button class="<?php echo esc_attr($button_class); ?>"><?php echo esc_html($button_text); ?></button>
		<?php endif; ?>
	</div>
</div>