<?php
/**
 * The template for displaying config.php
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 */
return array(
	'base'     => 'gsf_posts_large_6',
	'name'     => esc_html__('Large 6', 'achilles-framework'),
	'category' => G5P()->shortcode()->get_category_post_name(),
	'icon'     => G5P()->pluginUrl('assets/images/theme-options/blog-large-image-6.jpg'),
	'params'   => array_merge(
		
		array(
			array(
				'param_name'  => 'posts_per_page',
				'heading'     => esc_html__('Posts Per Page', 'achilles-framework'),
				'description' => esc_html__('Enter number of posts per page you want to display. Default 5', 'achilles-framework'),
				'type'        => 'textfield',
				'std'         => 5,
			),
			array(
				'param_name'       => 'show_cate_filter',
				'heading'          => esc_html__('Category Filter', 'achilles-framework'),
				'type'             => 'gsf_switch',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'std'              => '0'
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Category Filter Alignment', 'achilles-framework'),
				'param_name' => 'cate_filter_align',
				'value' => array(
					esc_html__('Left', 'achilles-framework') => 'cate-filter-left',
					esc_html__('Center', 'achilles-framework') => 'cate-filter-center',
					esc_html__('Right', 'achilles-framework') => 'cate-filter-right'
				),
				'std' => 'cate-filter-left',
				'dependency' => array('element'=>'show_cate_filter', 'value'=> 'on'),
				'edit_field_class' => 'vc_col-sm-6 vc_column'
			),
			array(				'type'             => 'colorpicker',				'heading'          => esc_html__('Category Active Color', 'achilles-framework'),				'param_name'       => 'cate_filter_active_color',				'std'              => '#e1757d',				'dependency'       => array('element' => 'show_cate_filter', 'value' => 'on'),				'edit_field_class' => 'vc_col-sm-6 vc_column'			)		),		G5P()->shortcode()->get_post_filter(),
		array(
			array(
				'param_name'  => 'post_columns_gutter',
				'heading'     => esc_html__('Post Columns Gutter', 'achilles-framework'),
				'description' => esc_html__('Specify your horizontal space between post.', 'achilles-framework'),
				'type'        => 'dropdown',
				'value'       => G5P()->shortcode()->switch_array_key_value(G5P()->settings()->get_post_columns_gutter()),
				'std'         => '40',
			),
			array(
				'param_name'       => 'post_paging',
				'heading'          => esc_html__('Post Paging', 'achilles-framework'),
				'description'      => esc_html__('Specify your post paging mode', 'achilles-framework'),
				'type'             => 'dropdown',
				'value'            => array(
					esc_html__('No Pagination', 'achilles-framework')          => 'none',
					esc_html__('Pagination', 'achilles-framework')             => 'pagination',
					esc_html__('Ajax - Pagination', 'achilles-framework')      => 'pagination-ajax',
					esc_html__('Ajax - Next Prev', 'achilles-framework')       => 'next-prev',
					esc_html__('Ajax - Load More', 'achilles-framework')       => 'load-more',
					esc_html__('Ajax - Infinite Scroll', 'achilles-framework') => 'infinite-scroll'
				),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'std'              => '',
			),
			array(
				'param_name'       => 'post_animation',
				'heading'          => esc_html__('Animation', 'achilles-framework'),
				'description'      => esc_html__('Specify your post animation', 'achilles-framework'),
				'type'             => 'dropdown',
				'value'            => G5P()->shortcode()->switch_array_key_value(G5P()->settings()->get_animation(true)),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'std'              => '-1'
			),
			G5P()->shortcode()->vc_map_add_css_animation(),
			G5P()->shortcode()->vc_map_add_animation_duration(),
			G5P()->shortcode()->vc_map_add_animation_delay(),
			G5P()->shortcode()->vc_map_add_extra_class(),
			G5P()->shortcode()->vc_map_add_css_editor(),
			G5P()->shortcode()->vc_map_add_responsive()
		)
	)
);