<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $category
 * @var $tag
 * @var $ids
 * @var $orderby
 * @var $time_filter
 * @var $order
 * @var $meta_key
 * @var $show_cate_filter
 * @var $cate_filter_active_color
 * @var $post_columns_gutter
 * @var $post_columns
 * @var $post_columns_md
 * @var $post_columns_sm
 * @var $post_columns_xs
 * @var $posts_per_page
 * @var $post_paging
 * @var $post_animation
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * @var $responsive
 * Shortcode class
 * @var $this WPBakeryShortCode_GSF_Post_Mix_23
 */

$orderby = $time_filter = $order = $meta_key = $show_cate_filter = $cate_filter_align =
$cate_filter_active_color = $category = $tag = $post_columns_gutter = $post_columns =
$post_columns_md = $post_columns_sm = $post_columns_xs = $posts_per_page = $post_paging =
$post_animation = $include_heading = $css_animation = $animation_duration = $animation_delay = $el_class = $css = $responsive = '';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

$wrapper_classes = array(
	'gf-posts',
	$cate_filter_align,
	G5P()->core()->vc()->customize()->getExtraClass($el_class),
	$this->getCSSAnimation($css_animation),
	vc_shortcode_custom_css_class($css),
	$responsive
);

if ('' !== $css_animation && 'none' !== $css_animation) {
	$animation_class = G5P()->core()->vc()->customize()->get_animation_class($animation_duration, $animation_delay);
	$wrapper_classes[] = $animation_class;
}

$posts_per_page = 5;

if ($orderby == 'post_views') {
	$args['suppress_filters'] = false;
	
}
$args = array(
	'post_type'           => 'post',
	'ignore_sticky_posts' => true,
	'posts_per_page'      => (is_numeric($posts_per_page) && $posts_per_page > 0) ? $posts_per_page : '-1',
	'orderby'             => $orderby,
	'order'               => $order,
	'meta_key'            => ('meta_value' == $orderby || 'meta_value_num' == $orderby) ? $meta_key : '',
);


$category = G5P()->helper()->get_term_ids_from_slugs(explode(',', $category), 'category');
if (count($category) > 0) {
	$args['category__in'] = $category;
}
$tag = G5P()->helper()->get_term_ids_from_slugs(explode(',', $tag), 'post_tag');
if (count($tag) > 0) {
	$args['tag__in'] = $tag;
}
// Prepares time filter
if ($time_filter !== 'none') {
	$args['date_query'] = $this->get_time_filter_query($time_filter);
}
if (!empty($ids)) {
	$post_id_array = explode(',', $ids);
	
	// Split ids into post_in and post_not_in
	foreach ($post_id_array as $post_id) {
		$post_in = array();
		$post_id = trim($post_id);
		if (is_numeric($post_id)) {
			$post_in[] = $post_id;
		}
	}
	if (!empty($post_in)) {
		$args['post__in'] = $post_in;
	}
}





$settings = array(
	'posts_per_page'      => (is_numeric($posts_per_page) && $posts_per_page > 0) ? $posts_per_page : '-1',
	'post_columns_gutter' => $post_columns_gutter,
	'post_layout'         => 'mix-23',
	'post_paging'         => $post_paging,
	'cat'                 => $category
);

if ('on' === $show_cate_filter) {
	$settings['category_filter_enable'] = true;
	$settings['category_filter_vertical'] = false;
	$settings['category_filter_type'] = 'click';
}
if ($post_animation !== '') {
	$settings['post_animation'] = $post_animation;
}

if (empty($cate_filter_active_color)) {
	$cate_filter_active_color = '#fff';
}

$session_class = 'gf-posts-' . uniqid();
$css = <<<CSS
	.{$session_class} .gf-cate-filter li.active a,
	.{$session_class} .gf-cate-filter a:hover,
	.{$session_class} .gf-cate-filter a:focus,
	.{$session_class} .gf-cate-filter .dropdown .dropdown-toggle {
		color: {$cate_filter_active_color} !important;
	}
CSS;
GSF()->customCss()->addCss($css);
$wrapper_classes[] = $session_class;
$wrapper_class = implode(' ', array_filter($wrapper_classes));

?>
<div class="<?php echo esc_attr($wrapper_class) ?>">
	<?php
	$r = new WP_Query($args);
	$index = 0;
	$count = $r->post_count;
	?>
	<?php if ($r->have_posts()): ?>
		<div class="gf-blog-wrap clearfix">
			<div class="gf-blog-inner clearfix layout-mix-23">
				<div class="row">
					<?php while ($r->have_posts()) : $r->the_post();
						$index++;
						if ($index < 3): ?>
							<?php if ($index == 1): ?>
								<div class="col-md-2 col-sm-12 col-xs-12 col-md-offset-1 pd-left-0 pd-right-0 sm-pd-left-20 sm-pd-right-20">
								<div class="row">
							<?php endif; ?>
							<div class="col-md-12 col-sm-6 col-xs-12 pd-left-0 pd-right-0 sm-pd-left-20 sm-pd-right-20">
								<?php if (function_exists('g5Theme')) {
									g5Theme()->helper()->getTemplate("loop/layout/large-image-4", array('image_size' => 'large-image-5', 'post_class' => 'clearfix post-default post-large-image-4', 'post_inner_class' => 'gf-post-inner clearfix', 'placeholder_enable' => 'false'));
								} ?>
							</div>
							<?php if (($index == 2) || ($count <= $index)): ?>
								</div>
								</div>
							<?php endif;
						endif;
						if ($index == 3): ?>
							<div class="col-md-4 col-sm-12 col-xs-12 col-md-offset-1 pd-left-0 pd-right-0 sm-pd-left-20 sm-pd-right-20">
								<?php if (function_exists('g5Theme')) {
									g5Theme()->helper()->getTemplate("loop/layout/large-image-5", array('image_size' => 'large-image-6', 'post_class' => 'clearfix post-default post-large-image-7', 'post_inner_class' => 'gf-post-inner clearfix', 'placeholder_enable' => 'false'));
								} ?>
							</div>
						<?php endif;
						if (($index == 4) || ($index == 5)): ?>
							<?php if ($index == 4): ?>
								<div class="col-md-2 col-sm-12 col-xs-12 col-md-offset-1 pd-left-0 pd-right-0 sm-pd-left-20 sm-pd-right-20">
								<div class="row">
							<?php endif; ?>
							<div class="col-md-12 col-sm-6 col-xs-12 pd-left-0 pd-right-0 sm-pd-left-20 sm-pd-right-20">
								<?php if (function_exists('g5Theme')) {
									g5Theme()->helper()->getTemplate("loop/layout/large-image-4", array('image_size' => 'large-image-5', 'post_class' => 'clearfix post-default post-large-image-4', 'post_inner_class' => 'gf-post-inner clearfix', 'placeholder_enable' => 'false'));
								} ?>
							</div>
							<?php if (($index == 5) || ($count <= $index)): ?>
								</div>
								</div>
							<?php endif;
						endif;
					endwhile; ?>
				</div>
			</div>
		</div>
	<?php endif; ?>
</div>




