<?php
/**
 * The template for displaying config.php
 *
 * @package WordPress
 * @subpackage achilles
 * @since achilles 1.0
 */
return array(
	'base'     => 'gsf_posts_carousel',
	'name'     => esc_html__('Posts Carousel', 'achilles-framework'),
	'category' => G5P()->shortcode()->get_category_post_name(),
	'icon'     => 'fa fa-file-text',
	'params'   => array_merge(
		array(
			array(
				'param_name'  => 'post_layout',
				'heading'     => esc_html__('Post Layout', 'achilles-framework'),
				'description' => esc_html__('Specify your post layout', 'achilles-framework'),
				'type'        => 'gsf_image_set',
				'value'       => G5P()->shortcode()->get_post_carousel_layout(),
				'std'         => 'large-image',
				'admin_label' => true
			),
			array(
				'type'        => 'textfield',
				'heading'     => esc_html__('Posts per page', 'achilles-framework'),
				'param_name'  => 'posts_per_page',
				'std'         => 5,
				'description' => esc_html__('Number of items to show per page', 'achilles-framework'),
				'admin_label' => true,
			),
			array(
				'type'             => 'gsf_switch',
				'heading'          => esc_html__('Show pagination control', 'achilles-framework'),
				'param_name'       => 'dots',
				'std'              => 'on',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'type'             => 'gsf_switch',
				'heading'          => esc_html__('Show navigation control', 'achilles-framework'),
				'param_name'       => 'nav',
				'std'              => '',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'type'             => 'gsf_switch',
				'heading'          => esc_html__('Loop', 'achilles-framework'),
				'param_name'       => 'loop',
				'std'              => '',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			G5P()->shortCode()->vc_map_add_autoplay_enable(),
			G5P()->shortCode()->vc_map_add_autoplay_timeout(),
			array(
				'param_name'  => 'post_columns_gutter',
				'heading'     => esc_html__('Post Columns Gutter', 'achilles-framework'),
				'description' => esc_html__('Specify your horizontal space between post.', 'achilles-framework'),
				'type'        => 'dropdown',
				'value'       => G5P()->shortcode()->switch_array_key_value(G5P()->settings()->get_post_columns_gutter()),
				'std'         => '40',
			),
			array(
				'param_name'       => 'post_columns',
				'heading'          => esc_html__('Large Devices', 'achilles-framework'),
				'description'      => esc_html__('Specify your post columns on large devices (>= 1200px)', 'achilles-framework'),
				'type'             => 'dropdown',
				'value'            => G5P()->settings()->get_post_columns(),
				'std'              => '2',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'param_name'       => 'post_columns_md',
				'heading'          => esc_html__('Medium Devices', 'achilles-framework'),
				'description'      => esc_html__('Specify your post columns on medium devices (>= 992px)', 'achilles-framework'),
				'type'             => 'dropdown',
				'value'            => G5P()->settings()->get_post_columns(),
				'std'              => '2',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'param_name'       => 'post_columns_sm',
				'heading'          => esc_html__('Small Devices', 'achilles-framework'),
				'description'      => esc_html__('Specify your post columns on small devices (>= 768px)', 'achilles-framework'),
				'type'             => 'dropdown',
				'value'            => G5P()->settings()->get_post_columns(),
				'std'              => '1',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			),
			array(
				'param_name'       => 'post_columns_xs',
				'heading'          => esc_html__('Extra Small Devices ', 'achilles-framework'),
				'description'      => esc_html__('Specify your post columns on extra small devices (< 768px)', 'achilles-framework'),
				'type'             => 'dropdown',
				'value'            => G5P()->settings()->get_post_columns(),
				'std'              => '1',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
			)
		),
		G5P()->shortcode()->get_post_filter(),
		array(
			array(
				'param_name'       => 'show_cate_filter',
				'heading'          => esc_html__('Category Filter', 'achilles-framework'),
				'type'             => 'gsf_switch',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'std'              => ''
			),
			array(
				'param_name'       => 'cate_filter_vertical',
				'heading'          => esc_html__('Category Filter Vertical', 'achilles-framework'),
				'type'             => 'gsf_switch',
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'dependency'       => array('element' => 'show_cate_filter', 'value' => 'on'),
				'std'              => ''
			),
			array(
				'param_name'       => 'cate_filter_type',
				'heading'          => esc_html__('Category Filter Type', 'achilles-framework'),
				'type'             => 'gsf_button_set',
				'value'            => array(
					esc_html__('Click', 'achilles-framework') => 'click',
					esc_html__('Hover', 'achilles-framework') => 'hover'
				),
				'edit_field_class' => 'vc_col-sm-6 vc_column',
				'dependency'       => array('element' => 'show_cate_filter', 'value' => 'on'),
				'std'              => 'click'
			),
			array(
				'type'             => 'dropdown',
				'heading'          => esc_html__('Category Filter Alignment', 'achilles-framework'),
				'param_name'       => 'cate_filter_align',
				'value'            => array(
					esc_html__('Left', 'achilles-framework')   => 'cate-filter-left',
					esc_html__('Center', 'achilles-framework') => 'cate-filter-center',
					esc_html__('Right', 'achilles-framework')  => 'cate-filter-right'
				),
				'std'              => 'cate-filter-left',
				'dependency'       => array('element' => 'cate_filter_vertical', 'value_not_equal_to' => 'on'),
				'edit_field_class' => 'vc_col-sm-6 vc_column'
			),
			array(
				'type'             => 'colorpicker',
				'heading'          => esc_html__('Category Active Color', 'achilles-framework'),
				'param_name'       => 'cate_filter_active_color',
				'std'              => '#e1757d',
				'dependency'       => array('element' => 'show_cate_filter', 'value' => 'on'),
				'edit_field_class' => 'vc_col-sm-6 vc_column'
			)
		),
		array(
			G5P()->shortcode()->vc_map_add_css_animation(),
			G5P()->shortcode()->vc_map_add_animation_duration(),
			G5P()->shortcode()->vc_map_add_animation_delay(),
			G5P()->shortcode()->vc_map_add_extra_class(),
			G5P()->shortcode()->vc_map_add_css_editor(),
			G5P()->shortcode()->vc_map_add_responsive()
		)
	)
);