<?php
/**
 * Shortcode attributes
 * @var $atts
 * @var $post_layout
 * @var $posts_per_page
 * @var $post_columns_gutter
 * @var $post_columns
 * @var $post_columns_md
 * @var $post_columns_sm
 * @var $post_columns_xs
 * @var $dots
 * @var $nav
 * @var $category
 * @var $tag
 * @var $ids
 * @var $orderby
 * @var $time_filter
 * @var $order
 * @var $meta_key
 * @var $show_cate_filter
 * @var $cate_filter_vertical
 * @var $cate_filter_type
 * @var $cate_filter_active_color
 * @var $include_heading
 * @var $title
 * @var $heading_bg_color
 * @var $text_color
 * @var $border_bottom_width
 * @var $icon_shape
 * @var $icon_font
 * @var $css_animation
 * @var $animation_duration
 * @var $animation_delay
 * @var $el_class
 * @var $css
 * @var $responsive
 * Shortcode class
 * @var $this WPBakeryShortCode_GSF_Posts_Carousel
 */

$post_layout = $posts_per_page = $post_columns_gutter = $post_columns = $post_columns_md = $post_columns_sm = $post_columns_xs =
$dots = $nav = $loop = $autoplay = $autoplay_timeout = $category = $tag = $ids = $orderby = $time_filter = $order = $meta_key = $show_cate_filter =
$cate_filter_vertical = $cate_filter_type = $cate_filter_align = $cate_filter_active_color = $css_animation = $animation_duration = $animation_delay = $el_class = $css = $responsive = '';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);
$post_columns = intval($post_columns);
$post_columns_md = intval($post_columns_md);
$post_columns_sm = intval($post_columns_sm);
$post_columns_xs = intval($post_columns_xs);
$post_columns_gutter = intval($post_columns_gutter);
$wrapper_classes = array(
	'gf-posts-carousel',
	$cate_filter_align,
	G5P()->core()->vc()->customize()->getExtraClass($el_class),
	$this->getCSSAnimation($css_animation),
	vc_shortcode_custom_css_class($css),
	$responsive
);

if ('' !== $css_animation && 'none' !== $css_animation) {
	$animation_class = G5P()->core()->vc()->customize()->get_animation_class($animation_duration, $animation_delay);
	$wrapper_classes[] = $animation_class;
}

if ($orderby == 'post_views') {
	$args['suppress_filters'] = false;
}
$args = array(
	'post_type'           => 'post',
	'ignore_sticky_posts' => true,
	'posts_per_page'      => (is_numeric($posts_per_page) && $posts_per_page > 0) ? $posts_per_page : '-1',
	'orderby'             => $orderby,
	'order'               => $order,
	'meta_key'            => ('meta_value' == $orderby || 'meta_value_num' == $orderby) ? $meta_key : '',
);

$category = G5P()->helper()->get_term_ids_from_slugs(explode(',', $category), 'category');
if (count($category) > 0) {
	$args['category__in'] = $category;
}
$tag = G5P()->helper()->get_term_ids_from_slugs(explode(',', $tag), 'post_tag');
if (count($tag) > 0) {
	$args['tag__in'] = $tag;
}
// Prepares time filter
if ($time_filter !== 'none') {
	$args['date_query'] = $this->get_time_filter_query($time_filter);
}
if (!empty($ids)) {
	$post_id_array = explode(',', $ids);
	
	// Split ids into post_in and post_not_in
	foreach ($post_id_array as $post_id) {
		$post_in = array();
		$post_id = trim($post_id);
		if (is_numeric($post_id)) {
			$post_in[] = $post_id;
		}
	}
	if (!empty($post_in)) {
		$args['post__in'] = $post_in;
	}
}





$owl_args = array(
	'items'      => $post_columns,
	'margin'     => $post_columns == 1 ? 0 : $post_columns_gutter,
	'slideBy'    => $post_columns,
	'responsive' => array(
		'1200' => array(
			'items'   => $post_columns,
			'margin'  => $post_columns == 1 ? 0 : $post_columns_gutter,
			'slideBy' => $post_columns,
		),
		'992'  => array(
			'items'   => $post_columns_md,
			'margin'  => $post_columns_md == 1 ? 0 : $post_columns_gutter,
			'slideBy' => $post_columns_md,
		),
		'768'  => array(
			'items'   => $post_columns_sm,
			'margin'  => $post_columns_sm == 1 ? 0 : $post_columns_gutter,
			'slideBy' => $post_columns_sm,
		),
		'0'    => array(
			'items'   => $post_columns_xs,
			'margin'  => $post_columns_xs == 1 ? 0 : $post_columns_gutter,
			'slideBy' => $post_columns_xs,
		)
	),
	'autoHeight' => true,
	'dots'       => ($dots === 'on') ? true : false,
	'nav'        => ($nav === 'on') ? true : false,
	'autoplay' => ($autoplay === 'on') ? true : false,
	'autoplayTimeout' => intval($autoplay_timeout),
	'loop' => ('on' === $loop) ? true : false,
);


$settings = array(
	'posts_per_page'      => (is_numeric($posts_per_page) && $posts_per_page > 0) ? $posts_per_page : '-1',
	'post_columns_gutter' => $post_columns_gutter,
	'post_layout'         => $post_layout,
	'cat'                 => $category,
	'carousel'            => $owl_args,
	'post_paging'         => 'none'
);
if ('on' === $show_cate_filter) {
	$settings['category_filter_enable'] = true;
	$settings['category_filter_vertical'] = ('on' === $cate_filter_vertical) ? true : false;
	$settings['category_filter_type'] = $cate_filter_type;
}

if ($nav === 'on') {
	$settings['carousel_class'] = 'nav-center';
}
if (empty($cate_filter_active_color)) {
	$cate_filter_active_color = '#fff';
}

$session_class = 'gf-posts-carousel-' . uniqid();
$css = <<<CSS
	.{$session_class} .gf-cate-filter li.active a,
	.{$session_class} .gf-cate-filter a:hover,
	.{$session_class} .gf-cate-filter a:focus,
	.{$session_class} .gf-cate-filter .dropdown .dropdown-toggle {
		color: {$cate_filter_active_color} !important;
	}
CSS;
GSF()->customCss()->addCss($css);
$wrapper_classes[] = $session_class;
$wrapper_class = implode(' ', array_filter($wrapper_classes));
if (!(defined('CSS_DEBUG') && CSS_DEBUG)) {
	wp_enqueue_style(G5P()->assetsHandle('g5-posts-carousel'), G5P()->helper()->getAssetUrl('shortcodes/posts-carousel/assets/css/posts-carousel.min.css'), array(), G5P()->pluginVer());
}
?>
<div class="<?php echo esc_attr($wrapper_class) ?>">
	<?php if (function_exists('g5Theme')) {
		g5Theme()->blog()->archive_markup($args, $settings);
	} ?>
</div>