<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
if (!class_exists('G5P_Widget_Followers')) {
	class G5P_Widget_Followers extends GSF_Widget
	{
		public function __construct()
		{
			$this->widget_cssclass = 'widget-follower';
			$this->widget_id = 'gsf-follower';
			$this->widget_name = esc_html__('G5Plus: Follower Us', 'achilles-framework');
			$this->settings = array(
				'fields' => array(
					array(
						'id'      => 'title',
						'title'   => esc_html__('Title:', 'achilles-framework'),
						'type'    => 'text',
						'default' => '',
					),
					array(
						'id'      => 'layout_style',
						'type'    => 'image_set',
						'title'   => esc_html__('Layout Style', 'achilles-framework'),
						'default' => 'layout-5',
						'options' => array(
							'layout-1'    => array(
								'label' => esc_html__('Style 1', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/widget/counter-style-1.jpg'),
							),
							'layout-2'    => array(
								'label' => esc_html__('Style 2', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/widget/counter-style-2.jpg'),
							),
							'layout-3'    => array(
								'label' => esc_html__('Style 3', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/widget/counter-style-3.jpg'),
							),
							'layout-4'    => array(
								'label' => esc_html__('Style 4', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/widget/counter-style-4.jpg'),
							),
							'layout-5' => array(
								'label' => esc_html__('Style 5', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/widget/counter-style-5.jpg'),
							),
						)
					),
					array(
						'title'    => __('Number of Columns', 'achilles-framework'),
						'id'       => 'columns',
						'type'     => 'select',
						'options'  => array(
							'1' => __('1 Column', 'achilles-framework'),
							'2' => __('2 Column', 'achilles-framework'),
							'3' => __('3 Column', 'achilles-framework'),
							'4' => __('4 Column', 'achilles-framework'),
						),
						'required' => array('layout_style', '!=', 'layout-3')
					),
					array(
						'title'    => __('Number of Columns', 'achilles-framework'),
						'id'       => '_columns',
						'type'     => 'select',
						'options'  => array(
							'1' => __('1 Column', 'achilles-framework'),
							'2' => __('2 Column', 'achilles-framework'),
							'3' => __('3 Column', 'achilles-framework'),
						),
						'required' => array('layout_style', '=', 'layout-3')
					),
					array(
						'id'          => "social_follows",
						'title'       => esc_html__('Social Follows', 'achilles-framework'),
						'type'        => 'selectize',
						'multiple'    => true,
						'drag'        => true,
						'placeholder' => esc_html__('Select Social Follows', 'achilles-framework'),
						'options'     => array(
							'facebook'   => __('Facebook', 'achilles-framework'),
							'twitter'    => __('Twitter', 'achilles-framework'),
							'googleplus' => __('Google+', 'achilles-framework'),
							'github'     => __('Github', 'achilles-framework'),
							'instagram'  => __('Instagram', 'achilles-framework'),
							'soundcloud' => __('Soundcloud', 'achilles-framework'),
							'pinterest'  => __('pinterest', 'achilles-framework'),
							'linkedin'   => __('Linkedin', 'achilles-framework'),
							'tumblr'     => __('Tumblr', 'achilles-framework'),
							'steam'      => __('Steam', 'achilles-framework'),
							'vimeo'      => __('Vimeo', 'achilles-framework'),
							'youtube'    => __('Youtube', 'achilles-framework'),
						)
					),
					//Facebook
					array(
						'id'             => 'facebook_gr',
						'title'          => __('Facebook API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'facebook'),
						'fields'         => array(
							array(
								'id'    => 'facebook_id',
								'title' => __('Facebook Page ID', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'facebook_app_id',
								'title' => __('Facebook App ID', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'facebook_app_secret',
								'title' => __('Facebook App Secret', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'facebook_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-facebook',
								'type'     => 'icon',
							),
							array(
								'id'       => 'facebook_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#3b5998',
								'type'     => 'color',
							),
						)
					),
					
					//Twitter
					array(
						'id'             => 'twitter_gr',
						'title'          => __('Twitter API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'twitter'),
						'fields'         => array(
							array(
								'id'      => 'twitter_username',
								'type'    => 'text',
								'default' => '',
								'title'   => esc_html__('User Name', 'achilles-framework'),
							),
							array(
								'id'      => 'twitter_consumer_key',
								'type'    => 'text',
								'default' => '',
								'title'   => esc_html__('Consumer Key', 'achilles-framework'),
							),
							array(
								'id'      => 'twitter_consumer_secret',
								'type'    => 'text',
								'default' => '',
								'title'   => esc_html__('Consumer Secret', 'achilles-framework'),
							),
							array(
								'id'      => 'twitter_access_token',
								'type'    => 'text',
								'default' => '',
								'title'   => esc_html__('Access Token', 'achilles-framework'),
							),
							array(
								'id'      => 'twitter_access_token_secret',
								'type'    => 'text',
								'default' => '',
								'title'   => esc_html__('Access Token Secret', 'achilles-framework'),
							),
							array(
								'id'       => 'twitter_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-twitter',
								'type'     => 'icon',
							),
							array(
								'id'       => 'twitter_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#1da1f2',
								'type'     => 'color',
							),
						)
					),
					
					//Google+
					array(
						'id'             => 'google_gr',
						'title'          => __('Google+ API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'googleplus'),
						'fields'         => array(
							array(
								'id'    => 'googleplus_id',
								'title' => __('Google+ ID', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'googleplus_api_key',
								'title' => __('Google+ API Key', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'googleplus_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-google-plus',
								'type'     => 'icon',
							),
							array(
								'id'       => 'googleplus_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#dd4b39',
								'type'     => 'color',
							),
						)
					),
					
					//Github
					array(
						'id'             => 'github_gr',
						'title'          => __('Github API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'github'),
						'fields'         => array(
							array(
								'id'    => 'github_username',
								'title' => __('GitHub Username', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'github_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-github',
								'type'     => 'icon',
							),
							array(
								'id'       => 'github_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#4078c0',
								'type'     => 'color',
							),
						)
					),
					
					//instagram
					array(
						'id'             => 'instagram_gr',
						'title'          => __('Instagram API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'instagram'),
						'fields'         => array(
							array(
								'id'    => 'instagram_username',
								'title' => __('Instagram Username', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'instagram_user_id',
								'title' => __('Instagram User ID', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'instagram_access_token',
								'title' => __('Instagram Access Token', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'instagram_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-instagram',
								'type'     => 'icon',
							),
							array(
								'id'       => 'instagram_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#405de6',
								'type'     => 'color',
							),
						)
					),
					
					//soundcloud
					array(
						'id'             => 'soundcloud_gr',
						'title'          => __('Soundcloud API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'soundcloud'),
						'fields'         => array(
							array(
								'id'    => 'soundcloud_username',
								'title' => __('Soundcloud Username', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'soundcloud_client_id',
								'title' => __('Soundcloud client id', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'soundcloud_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-soundcloud',
								'type'     => 'icon',
							),
							array(
								'id'       => 'soundcloud_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#ff8800',
								'type'     => 'color',
							),
						)
					),
					
					//linkedin
					array(
						'id'             => 'linkedin_gr',
						'title'          => __('Linkedin API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'linkedin'),
						'fields'         => array(
							array(
								'id'    => 'linkedin_company_id',
								'title' => __('Linkedin company ID', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'linkedin_access_token',
								'title' => __('Linkedin access token', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'linkedin_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-linkedin',
								'type'     => 'icon',
							),
							array(
								'id'       => 'linkedin_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#0077b5',
								'type'     => 'color',
							),
						)
					),
					
					//tumblr
					array(
						'id'             => 'tumblr_gr',
						'title'          => __('Tumblr API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'tumblr'),
						'fields'         => array(
							array(
								'id'    => 'tumblr_hostname',
								'title' => __('Tumblr Hostname', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'tumblr_consumer_key',
								'title' => __('Tumblr Consumer Key', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'tumblr_consumer_secret',
								'title' => __('Tumblr Consumer Secret', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'tumblr_token',
								'title' => __('Tumblr Token', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'tumblr_token_secret',
								'title' => __('Tumblr Token Secret', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'tumblr_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-tumblr',
								'type'     => 'icon',
							),
							array(
								'id'       => 'tumblr_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#35465c',
								'type'     => 'color',
							),
						)
					),
					
					//pinterest
					array(
						'id'             => 'pinterest_gr',
						'title'          => __('Pinterest API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'pinterest'),
						'fields'         => array(
							array(
								'id'    => 'pinterest_username',
								'title' => __('Pinterest Username', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'pinterest_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-pinterest',
								'type'     => 'icon',
							),
							array(
								'id'       => 'pinterest_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#e32229',
								'type'     => 'color',
							),
						)
					),
					
					//Steam
					array(
						'id'             => 'steam_gr',
						'title'          => __('Steam API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'steam'),
						'fields'         => array(
							array(
								'id'    => 'steam_group_name',
								'title' => __('Steam Group Name', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'steam_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-steam',
								'type'     => 'icon',
							),
							array(
								'id'       => 'steam_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#808080',
								'type'     => 'color',
							),
						)
					),
					
					//vimeo
					array(
						'id'             => 'vimeo_gr',
						'title'          => __('Vimeo API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'vimeo'),
						'fields'         => array(
							array(
								'id'    => 'vimeo_username',
								'title' => __('Vimeo Username', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'vimeo_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-vimeo',
								'type'     => 'icon',
							),
							array(
								'id'       => 'vimeo_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#1ab7ea',
								'type'     => 'color',
							),
						)
					),
					
					//Youtube
					array(
						'id'             => 'youtube_gr',
						'title'          => __('Youtube API', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'required'       => array('social_follows', 'contain', 'youtube'),
						'fields'         => array(
							array(
								'id'    => 'youtube_channel_id',
								'title' => __('YouTube Channel ID', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'    => 'youtube_api_key',
								'title' => __('Google API Key', 'achilles-framework'),
								'type'  => 'text',
							),
							array(
								'id'       => 'youtube_icon',
								'title'    => esc_html__('Social Network Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Specify the social network icon', 'achilles-framework'),
								'default'  => 'fa fa-youtube',
								'type'     => 'icon',
							),
							array(
								'id'       => 'youtube_icon_color',
								'title'    => esc_html__('Color Icon', 'achilles-framework'),
								'subtitle' => esc_html__('Set color for icon', 'achilles-framework'),
								'default'  => '#cd201f',
								'type'     => 'color',
							),
						)
					),
					
					//Setting
					array(
						'id'             => 'setting',
						'title'          => __('Setting', 'achilles-framework'),
						'type'           => 'group',
						'toggle_default' => false,
						'fields'         => array(
							array(
								'id'    => 'target_blank',
								'title' => __('Open URLs in new tab or window', 'achilles-framework'),
								'type'  => 'switch',
							),
							array(
								'id'    => 'rel_nofollow',
								'title' => __('Add nofollow in URLs', 'achilles-framework'),
								'type'  => 'switch',
							),
						)
					),
				)
			);
			// Follow Us Widget
			add_action('wp_ajax_nopriv_gsf_follow_count_ajax', array($this, 'gsf_follow_count_ajax_callback'));
			add_action('wp_ajax_gsf_follow_count_ajax', array($this, 'gsf_follow_count_ajax_callback'));
			
			parent::__construct();
		}
		
		public function autoInclude($class)
		{
			$file = preg_replace('/^G5P_Follower_/', '', $class);
			$file_name = str_replace('_', '-', $file);
			if ($file_name !== $class) {
				$file_name = strtolower($file_name);
				$file_name = str_replace('_', '-', $file_name);
				G5P()->loadFile(G5P()->pluginDir("widgets/followers/inc/loop/{$file_name}.class.php"));
			}
		}
		
		public function gsf_follow_count_ajax_callback()
		{
			$data_count = $_REQUEST['data_count'];
			$id = $_REQUEST['id'];
			G5P()->loadFile(G5P()->pluginDir('widgets/followers/inc/abstract-function.class.php'));
			G5P()->loadFile(G5P()->pluginDir('widgets/followers/inc/loop/' . $id . '-counter.class.php'));
			$class = 'G5P_Follower_' . $id . '_Counter';
			$gsf_follow_class = new $class();
			$total = $gsf_follow_class->get_total($data_count);
			echo wp_kses_post($gsf_follow_class->number_format($total));
			die();
		}
		
		public function widget($args, $instance)
		{
			extract($args, EXTR_SKIP);
			
			G5P()->loadFile(G5P()->pluginDir('widgets/followers/inc/abstract-function.class.php'));
			/**
			 * Include loop.
			 */
			spl_autoload_register(array($this, 'autoInclude'));
			
			wp_enqueue_script(G5P()->assetsHandle('widget-followers'), G5P()->helper()->getAssetUrl('widgets/followers/assets/js/followers.js'), array(), G5P()->pluginVer());
			wp_localize_script(
				G5P()->assetsHandle('widget-followers'),
				'g5plus_widget_followers_variable',
				array(
					'ajax_url' => admin_url('admin-ajax.php'),
				)
			);
			
			$title = (!empty($instance['title'])) ? $instance['title'] : '';
			$columns = $instance['columns'];
			if ($instance['layout_style'] === 'layout-3') {
				$columns = $instance['_columns'];
			}
			
			//ob_start();
			echo wp_kses_post($args['before_widget']);
			if (!empty($title)) :
				echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
			endif; ?>
			<div
					class="g5p-follower-count clearfix <?php echo esc_attr($instance['layout_style']) ?> g5p-column-<?php echo esc_attr($columns) ?>">
				<?php G5P()->helper()->getTemplate('widgets/followers/inc/templates/get-view', array('instance' => $instance)) ?>
			</div>
			<?php echo wp_kses_post($args['after_widget']);
		}
	}
}