<?php

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

/**
 * Widget Counter.
 *
 * @package /Abstracts
 * @category Abstract
 */
abstract class G5P_Followers_Counter
{

    /**
     * Total count.
     *
     * @var int
     */
    protected $total = 0;

    /**
     * Counter ID.
     *
     * @var string
     */
    public $id = '';

    /**
     * Connection.
     *
     * @var WP_Error|array
     */
    protected $connection = array();

    /**
     * Test the counter is available.
     *
     * @param  array $data
     *
     * @return bool
     */
    public function is_available($instance)
    {
        return false;
    }

    /**
     * Get the total.
     *
     * @param  array $data
     *
     * @return int
     */
    public function get_total($instance)
    {
        return $this->total;
    }
    /**
     * Get counter view.
     *
     * @param  array $data
     * @param  int $total Counter total.
     *
     * @return string
     */
    public function get_view($instance)
    {
        return '';
    }
    public static function number_format($number)
    {
        if ( ! is_numeric( $number ) ) {
            return $number;
        }

        if ( $number >= 1000000 ) {
            return round( ( $number / 1000 ) / 1000, 2 ) . "M";
        } elseif ( $number >= 100000 ) {
            return round( $number / 1000, 2 ) . "k";
        } else {
            return @number_format( $number );
        }
    }
}
