<?php
/**
 * @var $instance
 * @var $id
 * @var $data
 * @var $url
 * @var $icon
 * @var $icon_color
 * @var $label
 */

if (!isset($data)) {
	$data = array();
}

$target_blank = $instance['target_blank'] === 'on' ? ' target="_blank"' : '';
$rel_nofollow = $instance['rel_nofollow'] === 'on' ? ' rel="nofollow"' : '';
$layout_style = (!empty($instance['layout_style'])) ? $instance['layout_style'] : 'layout-5';
if ($layout_style == 'layout-5') {
	$icon_css = <<<CSS
			li.count-{$id} span.icon:hover {
				color: {$icon_color} !important;
			}
CSS;
	GSF()->customCss()->addCss($icon_css);
}
?>

<li class="count-item count-<?php echo esc_attr($id) ?>" data-count='<?php echo json_encode($data); ?>'
	data-id="<?php echo esc_attr($id); ?>">
	<a class="icons" title="<?php echo esc_attr($id) ?>"
	   href="<?php echo esc_url($url) ?>" <?php echo esc_attr($target_blank) ?> <?php echo esc_attr($rel_nofollow) ?>>
		<?php if ($layout_style == 'layout-5'): ?>
			<span class="icon"><i class="<?php echo esc_attr($icon) ?>"></i></span>
		<?php else: ?>
			<span class="icon" style="background-color:<?php echo esc_attr($icon_color) ?>; color: #fff;"><i
						class="<?php echo esc_attr($icon) ?>"></i></span>
		<?php endif; ?>
		<?php if ($instance['layout_style'] == 'layout-2') : ?>
		<span class="items" style="background-color:<?php echo esc_attr($icon_color) ?>">
    <?php else: ?>
			<span class="items">
            <?php endif; ?>
				<span class="social-count">0</span>
    <span class="social-label"><?php echo esc_attr($label) ?></span>
    </span>
	</a>
</li>
