<?php
if (!defined('ABSPATH')) {
	exit;
//	Exit if accessed directly
}
if (!class_exists('G5P_Widget_Posts')) {
	class G5P_Widget_Posts extends GSF_Widget
	{
		public function __construct()
		{
			$this->widget_cssclass = 'widget-posts';
			$this->widget_id = 'gsf-posts';
			$this->widget_name = esc_html__('G5Plus: Posts', 'achilles-framework');
			
			$category = array();
			$categories = get_categories(array('hide_empty' => '1'));
			if (is_array($categories)) {
				foreach ($categories as $cat) {
					$category[$cat->name] = $cat->slug;
				}
			}
			
			$this->settings = array(
				'fields' => array(
					array(
						'id'      => 'title',
						'title'   => esc_html__('Title:', 'achilles-framework'),
						'type'    => 'text',
						'default' => '',
					),
					array(
						'id'      => 'layout_style',
						'type'    => 'image_set',
						'title'   => esc_html__('Layout Style', 'achilles-framework'),
						'default' => 'large-6',
						'options' => array(
							'large-1'  => array(
								'label' => esc_html__('Large Image 1', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-large-image-1.jpg'),
							),
							'large-2'  => array(
								'label' => esc_html__('Large Image 2', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-large-image-2.jpg'),
							),
							'large-3'  => array(
								'label' => esc_html__('Large Image 3', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-large-image-3.jpg'),
							),
							'large-4'  => array(
								'label' => esc_html__('Large Image 4', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-large-image-4.png'),
							),
							'large-5'  => array(
								'label' => esc_html__('Large Image 5', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-large-image-5.png'),
							),
							'large-6'  => array(
								'label' => esc_html__('Large Image 6', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-large-image-6.jpg'),
							),
							'list-1'   => array(
								'label' => esc_html__('List 1', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-list-1.jpg'),
							),
							'list-2'   => array(
								'label' => esc_html__('List 2', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-list-2.jpg'),
							),
							'medium-1' => array(
								'label' => esc_html__('Medium Image 1', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-medium-image-1.jpg'),
							),
							'medium-2' => array(
								'label' => esc_html__('Medium Image 2', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-medium-image-2.jpg'),
							),
							'medium-3' => array(
								'label' => esc_html__('Medium Image 3', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-medium-image-3.jpg'),
							),
							'medium-4' => array(
								'label' => esc_html__('Medium Image 4', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-medium-image-4.jpg'),
							),
							'medium-5' => array(
								'label' => esc_html__('Medium Image 5', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-medium-image-5.jpg'),
							),
							'mix-1'    => array(
								'label' => esc_html__('Mix Image 1', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-1.jpg'),
							),
							'mix-2'    => array(
								'label' => esc_html__('Mix Image 2', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-2.jpg'),
							),
							'mix-3'    => array(
								'label' => esc_html__('Mix Image 3', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-3.jpg'),
							),
							'mix-4'    => array(
								'label' => esc_html__('Mix Image 4', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-4.jpg'),
							),
							'mix-5'    => array(
								'label' => esc_html__('Mix Image 5', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-5.jpg'),
							),
							'mix-6'    => array(
								'label' => esc_html__('Mix Image 6', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-6.jpg'),
							),
							'mix-7'    => array(
								'label' => esc_html__('Mix Image 7', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-7.jpg'),
							),
							'mix-8'    => array(
								'label' => esc_html__('Mix Image 8', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-8.jpg'),
							),
							'mix-9'    => array(
								'label' => esc_html__('Mix Image 9', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-9.jpg'),
							),
							'mix-10'   => array(
								'label' => esc_html__('Mix Image 10', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-10.jpg'),
							),
							'mix-11'   => array(
								'label' => esc_html__('Mix Image 11', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-11.jpg'),
							),
							'mix-12'   => array(
								'label' => esc_html__('Mix Image 12', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-12.jpg'),
							),
							'mix-13'   => array(
								'label' => esc_html__('Mix Image 13', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-13.jpg'),
							),
							'mix-14'   => array(
								'label' => esc_html__('Mix Image 14', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-14.jpg'),
							),
							'mix-15'   => array(
								'label' => esc_html__('Mix Image 15', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-15.jpg'),
							),
							'mix-16'   => array(
								'label' => esc_html__('Mix Image 16', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-16.jpg'),
							),
							'mix-17'   => array(
								'label' => esc_html__('Mix Image 17', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-17.jpg'),
							),
							'mix-18'   => array(
								'label' => esc_html__('Mix Image 18', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-18.jpg'),
							),
							'mix-19'   => array(
								'label' => esc_html__('Mix Image 19', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-19.jpg'),
							),
							'mix-20'   => array(
								'label' => esc_html__('Mix Image 20', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-20.jpg'),
							),
							'mix-21'   => array(
								'label' => esc_html__('Mix Image 21', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-mix-21.jpg'),
							),
							'tall-1'   => array(
								'label' => esc_html__('Tall Image 1', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-tall-1.jpg'),
							),
							'tall-2'   => array(
								'label' => esc_html__('Tall Image 2', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-tall-2.jpg'),
							),
							'tall-3'   => array(
								'label' => esc_html__('Tall Image 3', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-tall-3.jpg'),
							),
							'tall-4'   => array(
								'label' => esc_html__('Tall Image 4', 'achilles-framework'),
								'img'   => G5P()->pluginUrl('assets/images/theme-options/blog-tall-4.jpg'),
							),
						)
					),
					array(
						'id'       => 'post_columns_gutter',
						'title'    => esc_html__('Post Columns Gutter', 'achilles-framework'),
						'type'     => 'select',
						'options'  => G5P()->shortcode()->switch_array_key_value(G5P()->settings()->get_post_columns_gutter()),
						'default'  => '40',
						'required' => array('layout_style', 'in', array('grid-1', 'large-2', 'large-4', 'large-5', 'large-6', 'mix-1', 'mix-2', 'mix-3', 'mix-4', 'mix-5', 'mix-6', 'mix-7', 'mix-8', 'mix-9', 'mix-10', 'mix-11', 'mix-12', 'mix-13', 'mix-14', 'mix-15', 'mix-16', 'mix-17', 'mix-18', 'mix-19', 'mix-20', 'mix-21', 'medium-2', 'medium-3', 'medium-4', 'medium-5', 'list-1', 'list-2', 'tall-1', 'tall-2', 'tall-3', 'tall-4'))
					),
					array(
						'type'     => 'selectize',
						'title'    => esc_html__('Narrow Category', 'achilles-framework'),
						'id'       => 'category',
						'options'  => $category,
						'multiple' => true,
					),
					array(
						'id'      => 'orderby',
						'type'    => 'select',
						'title'   => esc_html__('Order by', 'achilles-framework'),
						'options' => array(
							'date'           => esc_html__('Date', 'achilles-framework'),
							'ID'             => esc_html__('Order by post ID', 'achilles-framework'),
							'author'         => esc_html__('Author', 'achilles-framework'),
							'title'          => esc_html__('Title', 'achilles-framework'),
							'modified'       => esc_html__('Last modified date', 'achilles-framework'),
							'parent'         => esc_html__('Post/page parent ID', 'achilles-framework'),
							'comment_count'  => esc_html__('Number of comments', 'achilles-framework'),
							'post_views'     => esc_html__('Number of Views', 'achilles-framework'),
							'sticky_post'    => esc_html__('Sticky Post', 'achilles-framework'),
							'menu_order'     => esc_html__('Menu order/Page Order', 'achilles-framework'),
							'meta_value'     => esc_html__('Meta value', 'achilles-framework'),
							'meta_value_num' => esc_html__('Meta value number', 'achilles-framework'),
							'rand'           => esc_html__('Random order', 'achilles-framework'),
						),
					),
					array(
						'id'       => 'meta_key',
						'type'     => 'text',
						'title'    => esc_html__('Meta key', 'achilles-framework'),
						'required' => array('orderby', 'in', array('meta_value', 'meta_value_num')),
					),
					array(
						'id'      => 'order',
						'title'   => esc_html__('Sorting', 'achilles-framework'),
						'type'    => 'select',
						'default' => 'DESC',
						'options' => array(
							'DESC' => esc_html__('Descending', 'achilles-framework'),
							'ASC'  => esc_html__('Ascending', 'achilles-framework'),
						),
					),
					array(
						'id'         => 'posts_per_page',
						'type'       => 'text',
						'input_type' => 'number',
						'title'      => esc_html__('Number of posts to show:', 'achilles-framework'),
						'default'    => '4',
					),
					array(
						'id'      => 'post_paging',
						'title'   => esc_html__('Post Paging', 'achilles-framework'),
						'type'    => 'select',
						'options' => array(
							'none'            => esc_html__('No Pagination', 'achilles-framework'),
							'pagination'      => esc_html__('Pagination', 'achilles-framework'),
							'pagination-ajax' => esc_html__('Ajax - Pagination', 'achilles-framework'),
							'next-prev'       => esc_html__('Ajax - Next Prev', 'achilles-framework'),
							'load-more'       => esc_html__('Ajax - Load More', 'achilles-framework'),
							'infinite-scroll' => esc_html__('Ajax - Infinite Scroll', 'achilles-framework'),
						),
						'default' => 'none'
					),
					array(
						'id'      => 'post_animation',
						'title'   => esc_html__('Animation', 'achilles-framework'),
						'type'    => 'select',
						'options' => G5P()->shortcode()->switch_array_key_value(G5P()->settings()->get_animation(true)),
						'default' => '-1'
					),
				),
			);
			parent::__construct();
		}
		
		function widget($args, $instance)
		{
			extract($args, EXTR_SKIP);
			$title = (!empty($instance['title'])) ? $instance['title'] : '';
			$title = apply_filters('widget_title', $title, $instance, $this->id_base);
			$layout_style = (!empty($instance['layout_style'])) ? $instance['layout_style'] : 'large-6';
			$post_columns_gutter = (!empty($instance['post_columns_gutter'])) ? $instance['post_columns_gutter'] : '40';
			$category = (!empty($instance['category'])) ? $instance['category'] : array();
			$orderby = (!empty($instance['orderby'])) ? $instance['orderby'] : '40';
			$meta_key = (!empty($instance['meta_key'])) ? $instance['meta_key'] : '';
			$order = (!empty($instance['order'])) ? $instance['order'] : '';
			$posts_per_page = (!empty($instance['posts_per_page'])) ? absint($instance['posts_per_page']) : 4;
			$post_paging = (!empty($instance['post_paging'])) ? $instance['post_paging'] : '';
			$post_animation = (!empty($instance['post_animation'])) ? $instance['post_animation'] : '';
			
			if ($orderby == 'post_views') {
				$args['suppress_filters'] = false;
			}
			if ($orderby == 'sticky_post') {
				$args['post__in'] = get_option('sticky_posts');
			}
			$query_args = array(
				'post_type'           => 'post',
				'ignore_sticky_posts' => true,
				'posts_per_page'      => (is_numeric($posts_per_page) && $posts_per_page > 0) ? $posts_per_page : '-1',
				'orderby'             => $orderby,
				'order'               => $order,
				'meta_key'            => ('meta_value' == $orderby || 'meta_value_num' == $orderby) ? $meta_key : '',
			);
			
			$category = G5P()->helper()->get_term_ids_from_slugs($category, 'category');
			if (count($category) > 0) {
				$query_args['category__in'] = $category;
			}
			
			if (!function_exists('g5Theme')) return;
			$settings = array(
				'posts_per_page'      => (is_numeric($posts_per_page) && $posts_per_page > 0) ? $posts_per_page : '-1',
				'post_columns_gutter' => $post_columns_gutter,
				'post_layout'         => $layout_style,
				'post_paging'         => $post_paging,
				'cat'                 => join(',', $category)
			);
			
			if ($post_animation !== '') {
				$settings['post_animation'] = $post_animation;
			}
			
			
			echo wp_kses_post($args['before_widget']);
			if ($title):
				echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
			endif;
			g5Theme()->blog()->archive_markup($query_args, $settings);
			echo wp_kses_post($args['after_widget']);
		}
	}
}
