<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
if (!class_exists('G5P_Widget_Social_Profile')) {
	class G5P_Widget_Social_Profile extends GSF_Widget
	{
		public function __construct()
		{
			$this->widget_cssclass = 'widget-social-profile';
			$this->widget_id = 'gsf-social-profile';
			$this->widget_name = esc_html__('G5Plus: Social Profile', 'achilles-framework');
			
			$this->settings = array(
				'fields' => array(
					array(
						'id'      => 'title',
						'type'    => 'text',
						'default' => '',
						'title'   => esc_html__('Title', 'achilles-framework')
					),
					array(
						'id'          => "social_networks",
						'title'       => esc_html__('Social Networks', 'achilles-framework'),
						'type'        => 'selectize',
						'multiple'    => true,
						'drag'        => true,
						'placeholder' => esc_html__('Select Social Networks', 'achilles-framework'),
						'options'     => G5P()->settings()->get_social_networks(),
					),
					array(
						'id'      => 'color',
						'title'   => esc_html__('Icon color hover', 'achilles-framework'),
						'type'    => 'select',
						'default' => 'dark',
						'options' => array(
							'dark'  => esc_html__('Dark', 'achilles-framework'),
							'light' => esc_html__('Light', 'achilles-framework'),
							'accent' => esc_html__('Accent', 'achilles-framework'),
						)
					),
				)
			);
			
			parent::__construct();
		}
		
		public function widget($args, $instance)
		{
			extract($args, EXTR_SKIP);
			$title = (!empty($instance['title'])) ? $instance['title'] : '';
			$title = apply_filters('widget_title', $title, $instance, $this->id_base);
			
			echo wp_kses_post($args['before_widget']);
			if ($title) {
				echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
			}
			if (!function_exists('g5Theme')) return;
			g5Theme()->templates()->social_networks($instance['social_networks'], $instance['color']);
			echo wp_kses_post($args['after_widget']);
		}
	}
}
