<?php
if (!defined('ABSPATH')) {
	exit; // Exit if accessed directly
}
if (!class_exists('G5P_Widget_Social_Share')) {
	class G5P_Widget_Social_Share extends GSF_Widget
	{
		public function __construct()
		{
			$this->widget_cssclass = 'widget-social-share';
			$this->widget_id = 'gsf-social-share';
			$this->widget_name = esc_html__('G5Plus: Social Share', 'achilles-framework');
			
			$this->settings = array(
				'fields' => array(
					array(
						'id'      => 'title',
						'title'   => esc_html__('Title:', 'achilles-framework'),
						'type'    => 'text',
						'default' => '',
					)
				)
			);
			
			parent::__construct();
		}
		
		public function widget($args, $instance)
		{
			/**
			 * Get Template Social Share
			 *
			 * @param string $layout - The layout of social network. Accepts 'classic', 'circle', 'square'
			 * @param bool $show_title
			 */
			extract($args, EXTR_SKIP);
			$title = (!empty($instance['title'])) ? $instance['title'] : '';
			echo wp_kses_post($args['before_widget']);
			if (!empty($title)) {
				echo wp_kses_post($args['before_title'] . $title . $args['after_title']);
			}
			if (function_exists('G5P')) {
				G5P()->helper()->getTemplate('inc/templates/social-share', array('layout' => 'square', 'show_title' => true, 'page_permalink' => '', 'page_title' => ''));
			}
			echo wp_kses_post($args['after_widget']);
		}
	}
}

